import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { AppointmentArgsObjectSchema as AppointmentArgsObjectSchema } from './AppointmentArgs.schema';
import { PatientArgsObjectSchema as PatientArgsObjectSchema } from './PatientArgs.schema';
import { NpiProviderArgsObjectSchema as NpiProviderArgsObjectSchema } from './NpiProviderArgs.schema'

const makeSchema = () => z.object({
  id: z.boolean().optional(),
  appointmentId: z.boolean().optional(),
  patientId: z.boolean().optional(),
  npiProviderId: z.boolean().optional(),
  procedureCode: z.boolean().optional(),
  procedureLabel: z.boolean().optional(),
  fee: z.boolean().optional(),
  category: z.boolean().optional(),
  toothNumber: z.boolean().optional(),
  toothSurface: z.boolean().optional(),
  oralCavityArea: z.boolean().optional(),
  source: z.boolean().optional(),
  comboKey: z.boolean().optional(),
  createdAt: z.boolean().optional(),
  appointment: z.union([z.boolean(), z.lazy(() => AppointmentArgsObjectSchema)]).optional(),
  patient: z.union([z.boolean(), z.lazy(() => PatientArgsObjectSchema)]).optional(),
  npiProvider: z.union([z.boolean(), z.lazy(() => NpiProviderArgsObjectSchema)]).optional()
}).strict();
export const AppointmentProcedureSelectObjectSchema: z.ZodType<Prisma.AppointmentProcedureSelect> = makeSchema() as unknown as z.ZodType<Prisma.AppointmentProcedureSelect>;
export const AppointmentProcedureSelectObjectZodSchema = makeSchema();
